<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <ProjectType>Local</ProjectType>
    <ProductVersion>8.0.50727</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{A4BA7D45-2288-4690-9629-2A9C2A59DB98}</ProjectGuid>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ApplicationIcon>
    </ApplicationIcon>
    <AssemblyKeyContainerName>
    </AssemblyKeyContainerName>
    <AssemblyName>CommunityServer.Components</AssemblyName>
    <AssemblyOriginatorKeyFile>
    </AssemblyOriginatorKeyFile>
    <DefaultClientScript>JScript</DefaultClientScript>
    <DefaultHTMLPageLayout>Grid</DefaultHTMLPageLayout>
    <DefaultTargetSchema>IE50</DefaultTargetSchema>
    <DelaySign>false</DelaySign>
    <OutputType>Library</OutputType>
    <RootNamespace>CommunityServer.Components</RootNamespace>
    <RunPostBuildEvent>OnBuildSuccess</RunPostBuildEvent>
    <StartupObject>
    </StartupObject>
    <FileUpgradeFlags>
    </FileUpgradeFlags>
    <UpgradeBackupLocation>
    </UpgradeBackupLocation>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <OutputPath>bin\Debug\</OutputPath>
    <AllowUnsafeBlocks>false</AllowUnsafeBlocks>
    <BaseAddress>285212672</BaseAddress>
    <CheckForOverflowUnderflow>false</CheckForOverflowUnderflow>
    <ConfigurationOverrideFile>
    </ConfigurationOverrideFile>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <DocumentationFile>
    </DocumentationFile>
    <DebugSymbols>true</DebugSymbols>
    <FileAlignment>4096</FileAlignment>
    <NoStdLib>false</NoStdLib>
    <NoWarn>
    </NoWarn>
    <Optimize>false</Optimize>
    <RegisterForComInterop>false</RegisterForComInterop>
    <RemoveIntegerChecks>false</RemoveIntegerChecks>
    <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
    <WarningLevel>4</WarningLevel>
    <DebugType>full</DebugType>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <OutputPath>bin\Release\</OutputPath>
    <AllowUnsafeBlocks>false</AllowUnsafeBlocks>
    <BaseAddress>285212672</BaseAddress>
    <CheckForOverflowUnderflow>false</CheckForOverflowUnderflow>
    <ConfigurationOverrideFile>
    </ConfigurationOverrideFile>
    <DefineConstants>TRACE;DEBUG</DefineConstants>
    <DocumentationFile>
    </DocumentationFile>
    <DebugSymbols>false</DebugSymbols>
    <FileAlignment>4096</FileAlignment>
    <NoStdLib>false</NoStdLib>
    <NoWarn>
    </NoWarn>
    <Optimize>true</Optimize>
    <RegisterForComInterop>false</RegisterForComInterop>
    <RemoveIntegerChecks>false</RemoveIntegerChecks>
    <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
    <WarningLevel>4</WarningLevel>
    <DebugType>none</DebugType>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug_NoCache|AnyCPU' ">
    <OutputPath>bin\Debug_NoCache\</OutputPath>
    <AllowUnsafeBlocks>false</AllowUnsafeBlocks>
    <BaseAddress>285212672</BaseAddress>
    <CheckForOverflowUnderflow>false</CheckForOverflowUnderflow>
    <ConfigurationOverrideFile>
    </ConfigurationOverrideFile>
    <DefineConstants>DEBUG;TRACE;DEBUG_NOCACHE</DefineConstants>
    <DocumentationFile>
    </DocumentationFile>
    <DebugSymbols>true</DebugSymbols>
    <FileAlignment>4096</FileAlignment>
    <NoStdLib>false</NoStdLib>
    <NoWarn>
    </NoWarn>
    <Optimize>false</Optimize>
    <RegisterForComInterop>false</RegisterForComInterop>
    <RemoveIntegerChecks>false</RemoveIntegerChecks>
    <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
    <WarningLevel>4</WarningLevel>
    <DebugType>full</DebugType>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug_Local|AnyCPU' ">
    <OutputPath>bin\Debug_Local\</OutputPath>
    <AllowUnsafeBlocks>false</AllowUnsafeBlocks>
    <BaseAddress>285212672</BaseAddress>
    <CheckForOverflowUnderflow>false</CheckForOverflowUnderflow>
    <ConfigurationOverrideFile>
    </ConfigurationOverrideFile>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <DocumentationFile>
    </DocumentationFile>
    <DebugSymbols>true</DebugSymbols>
    <FileAlignment>4096</FileAlignment>
    <NoStdLib>false</NoStdLib>
    <NoWarn>
    </NoWarn>
    <Optimize>false</Optimize>
    <RegisterForComInterop>false</RegisterForComInterop>
    <RemoveIntegerChecks>false</RemoveIntegerChecks>
    <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
    <WarningLevel>4</WarningLevel>
    <DebugType>full</DebugType>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release_Local|AnyCPU' ">
    <OutputPath>bin\Release_Local\</OutputPath>
    <AllowUnsafeBlocks>false</AllowUnsafeBlocks>
    <BaseAddress>285212672</BaseAddress>
    <CheckForOverflowUnderflow>false</CheckForOverflowUnderflow>
    <ConfigurationOverrideFile>
    </ConfigurationOverrideFile>
    <DefineConstants>TRACE</DefineConstants>
    <DocumentationFile>
    </DocumentationFile>
    <DebugSymbols>false</DebugSymbols>
    <FileAlignment>4096</FileAlignment>
    <NoStdLib>false</NoStdLib>
    <NoWarn>
    </NoWarn>
    <Optimize>true</Optimize>
    <RegisterForComInterop>false</RegisterForComInterop>
    <RemoveIntegerChecks>false</RemoveIntegerChecks>
    <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
    <WarningLevel>4</WarningLevel>
    <DebugType>none</DebugType>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug_NoXml|AnyCPU' ">
    <OutputPath>bin\Debug\</OutputPath>
    <AllowUnsafeBlocks>false</AllowUnsafeBlocks>
    <BaseAddress>285212672</BaseAddress>
    <CheckForOverflowUnderflow>false</CheckForOverflowUnderflow>
    <ConfigurationOverrideFile>
    </ConfigurationOverrideFile>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <DocumentationFile>
    </DocumentationFile>
    <DebugSymbols>true</DebugSymbols>
    <FileAlignment>4096</FileAlignment>
    <NoStdLib>false</NoStdLib>
    <NoWarn>
    </NoWarn>
    <Optimize>false</Optimize>
    <RegisterForComInterop>false</RegisterForComInterop>
    <RemoveIntegerChecks>false</RemoveIntegerChecks>
    <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
    <WarningLevel>4</WarningLevel>
    <DebugType>full</DebugType>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System">
      <Name>System</Name>
    </Reference>
    <Reference Include="System.Data">
      <Name>System.Data</Name>
    </Reference>
    <Reference Include="System.Drawing">
      <Name>System.Drawing</Name>
    </Reference>
    <Reference Include="System.Web">
      <Name>System.Web</Name>
    </Reference>
    <Reference Include="System.Web.Services">
      <Name>System.Web.Services</Name>
    </Reference>
    <Reference Include="System.Windows.Forms">
      <Name>System.Windows.Forms</Name>
    </Reference>
    <Reference Include="System.Xml">
      <Name>System.XML</Name>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="AjaxManager.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="ApplicationSet.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="AssemblyInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="AssemblyVersionInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Audit.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="CADataConverter.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="CatastrophicMessage.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Censors.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\AdsConfiguration.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\AnonymousUserJob.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\ApplicationConfiguration.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\ApplicationUrls.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\AspNet20EmailJob.cs" />
    <Compile Include="Components\AuditDeletedPostContentModule.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\AuditItem.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\AuditSet.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\AuditSummary.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\AutoLoginCookie.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Avatar.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Censor.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\CSASPNET20UrlReWriteProvider.cs" />
    <Compile Include="Components\FeedLinkItem.cs" />
    <Compile Include="Components\CSApplication.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\CSApplicationData.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\CSCache.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\CSCatastrophicExceptionModule.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\CSContext.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\CSCopy.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\CSEventArgs.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\CSEvents.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\CSException.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\CSExceptionModule.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\CSLink.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\CSMembershipRulesModule.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\CSRequest.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\CSUrlReWriter.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\CSValidationModule.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Email.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\EmailJob.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\EventLogEntry.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\EventLogJob.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\ExtendedAttributes.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Favorite.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\FilterLanguage.cs" />
    <Compile Include="Components\FormatList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Formatter.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\ForumUserOptions.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\FullyQualifiedUrlModule.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Globals.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Group.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\HtmlNestingCorrectionModule.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\HtmlScrubber.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\IContent.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\ICSModule.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\ImageInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\InkData.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\InkModule.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\IRateable.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\IThread.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Link.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\LinkCategory.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\MailPost.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\ManagedThreadPool.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Merger.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Message.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\PermissionBase.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\PollCensorshipModule.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\PollHtmlScrubbingModule.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\PollItem.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\PollRenderingModule.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\PollSummary.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\PollVote.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\PollVoteSet.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Post.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\PostAttachment.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\PostAttachmentCleanupJob.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\PostCategory.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\PostSet.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Product.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Profile.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Rank.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Rating.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\ReadFromConfigurationFileOnlyAttribute.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Redirect.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Referral.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\ReferralSet.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\ReferralsJob.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Report.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\ReportProcessBase.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\ResourceManager.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\ReWrittenUrl.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Role.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\RssPingback.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\SearchResult.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\SearchResultSet.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Section.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\SectionSorter.cs" />
    <Compile Include="Components\SelectableEditor.cs" />
    <Compile Include="Components\Serializer.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\SerializerData.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Service.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\ServiceSchedule.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\SiteSettings.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\SiteStatistics.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\SiteStatisticsJob.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\SiteUrls.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\SiteUrlsData.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Smiley.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Smily.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\SourceMarkUp.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\StringTransforms.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Style.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Tag.cs" />
    <Compile Include="Components\TagCleanupJob.cs" />
    <Compile Include="Components\Template.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\TextPart.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\TextToken.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\ThreadQuery.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\ThreadSet.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\TimeZoneInternational.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\TimeZoneInternationalCollection.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\TimeZoneInternationalManager.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Transforms.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\UrlRedirect.cs" />
    <Compile Include="Components\User.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\UserActivityResult.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\UserActivityResultSet.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\UserCookie.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\UserInvitation.cs" />
    <Compile Include="Components\UserInvitationExpirationJob.cs" />
    <Compile Include="Components\UserLastVisitModule.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\UserOnline.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\UserQuery.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\UserSet.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\UsersOnLineSet.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\UserTime.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\VideoModule.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\View.cs" />
    <Compile Include="Components\WebDirectory.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Configuration\AppLocation.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Configuration\AttachmentSettings.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Configuration\CSConfiguration.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Configuration\IJob.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Configuration\Job.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Configuration\RolesConfiguration.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Content.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Contents.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="DisallowedNames.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Emails.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\AccountActivation.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\AdminEnums.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\ApplicationType.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\AuditAction.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\CommentModerationType.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\ControlPanelManageView.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\CreateEditPostMode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\CreateUserStatus.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\DataProviderAction.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\DataUnit.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\DeleteUserStatus.cs" />
    <Compile Include="Enumerations\DirectoryAccess.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\DisplayLevel.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\EmailSubscriptionType.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\EmailType.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\ExtensionType.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\FavoriteType.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\FeedbackNotificationType.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\ForumAnchorType.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\ForumExceptionType.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\ForumListStyle.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\ForumMode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\ForumRatingType.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\MemberSort.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\ModeratedForumMode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\ModerationEnums.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\MovedPostStatus.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\ObjectState.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\PingType.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\PostCategorySortBy.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\PostEnums.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\PostFilterType.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\PostMediaType.cs" />
    <Compile Include="Enumerations\PostSearchStatus.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\PostSortBy.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\PostType.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\PostViewType.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\RatingType.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\RenameUserStatus.cs" />
    <Compile Include="Enumerations\SearchMode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\SearchWhat.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\SecurityEnums.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\SerializationType.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\SortExceptionsBy.cs" />
    <Compile Include="Enumerations\SortOrder.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\SortThreadsBy.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\SortUsersBy.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\SpamStatus.cs" />
    <Compile Include="Enumerations\SSLSettings.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\StyleRelativePosition.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\SystemType.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\TemplateType.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\ThreadDateFilterMode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\ThreadViewMode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\ToSearch.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\UserActivityDisplayMode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\UserAttributes.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\UserEnums.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\UserFilterType.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\UserImageButtonMode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\ViewOptions.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\WWWStatus.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="EventLogs.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="ExtendedUserData.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Favorites.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Groups.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="HttpHandler\AvatarHttpHandler.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="HttpHandler\InkHandler.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="HttpHandler\TinyUrlHttpHandler.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="HttpHandler\VCardHttpHandler.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="HttpModule\CSHttpModule.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="HttpModule\CSProviderHttpModule.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Ink.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Jobs.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="LinkCategories.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Links.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Permissions.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Polls.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="PostAttachments.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="PostCategories.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Products.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Provider\ApplicationKeyProvider.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Provider\CommonDataProvider.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Provider\DataProviders.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Provider\EmailQueueProvider.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Provider\EmailTemplateProvider.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Provider\ExtensionModule.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Provider\ProfileReader.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Provider\ProviderHelper.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Provider\SearchProvider.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Provider\SingletonProviderHelper.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Provider\SqlEmailQueueProvider.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Provider\UrlReWriteProvider.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Provider\User\DefaultProfile.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Provider\User\IApplicationName.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Provider\User\IMembership.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Provider\User\IMembershipUser.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Provider\User\IProfileBase.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Provider\User\IProfiles.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Provider\User\IRoles.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Provider\User\MemberRoleProfileProvider.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Provider\XmlEmailTemplateProvider.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Ranks.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Ratings.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Referrals.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Reports.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Resources.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Roles.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Search\CSSearch.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Search\IndexPost.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Search\ResultsCollection.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Search\SearchQuery.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Search\SearchRssHandler.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Search\SearchRssWriter.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Search\SearchSort.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Search\SearchTerms.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Search\Word.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Search\WordLocation.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Sections.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Services.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Services\CSWebServiceBase.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="Services\MembershipService.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="SiteSettingsManager.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Smilies.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Styles.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Syndication\AggBugHandler.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Syndication\BaseAtomWriter.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Syndication\BaseRssWriter.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Syndication\BaseSyndicationHandler.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Syndication\BaseSyndicationWriter.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Syndication\CachedFeed.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Tags.cs" />
    <Compile Include="TextTokens.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="ThreadTracking.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="UI\ConfirmationPage.cs">
      <SubType>ASPXCodeBehind</SubType>
    </Compile>
    <Compile Include="UI\CSFormPage.cs">
      <SubType>ASPXCodeBehind</SubType>
    </Compile>
    <Compile Include="UI\CSPage.cs">
      <SubType>ASPXCodeBehind</SubType>
    </Compile>
    <Compile Include="UI\IBrowseableList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="UI\JavaScript.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="UrlRedirects.cs" />
    <Compile Include="UserInvitations.cs" />
    <Compile Include="UserMessages.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Users.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="UsersOnline.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Views.cs" />
    <EmbeddedResource Include="Services\CSWebServiceBase.resx">
      <DependentUpon>CSWebServiceBase.cs</DependentUpon>
    </EmbeddedResource>
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <PropertyGroup>
    <PreBuildEvent>
    </PreBuildEvent>
    <PostBuildEvent>
    </PostBuildEvent>
  </PropertyGroup>
</Project>